#
# spec file for package 2ManDVD
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           2ManDVD
Version:        1.8.5
Release:        5.1
Summary:        Video DVD creation tool
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://2mandvd.tuxfamily.org/
Source:         2ManDVD-%{version}.tar.gz
Source1:        2ManDVD.desktop
Source99:       2ManDVD-rpmlintrc
Patch0:         2ManDVD-ffmpeg-2.0.patch
BuildRequires:  fdupes
BuildRequires:  libQtWebKit-devel
BuildRequires:  libqt4-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  pkgconfig(sdl)
Requires:       /usr/bin/mkisofs
Requires:       /usr/bin/mpeg2enc
Requires:       MPlayer
Requires:       dejavu
Requires:       dvdauthor
Requires:       exif
Requires:       ffmpeg
Requires:       ffmpegthumbnailer
Requires:       libxine2-codecs
Requires:       mjpegtools
Requires:       netpbm
Requires:       sox
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1210
BuildRequires:  Mesa-libGLU-devel
%endif
%if 0%{?suse_version} > 1320
BuildRequires:  gcc5
BuildRequires:  gcc5-c++
%endif

%description
ManDVD is a graphical tool for creating Video DVDs, including menus.

%prep
%setup -q -n 2ManDVD
%patch0

%build
qmake \
%if 0%{?suse_version} > 1320
QMAKE_CC="gcc-5" QMAKE_CXX="g++-5" \
%endif
2ManDVD.pro QMAKE_CXXFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%define installdir %{_prefix}/lib/2ManDVD

mkdir -p "%{buildroot}/%{installdir}"
mkdir -p "%{buildroot}/%{_bindir}"

rm  Bibliotheque/3d/ani3d.dat~
rm  Bibliotheque/table_luma.dat~
cp -R Bibliotheque %{buildroot}/%{installdir}/
cp -R Interface    %{buildroot}/%{installdir}/

install -D -m 755 2ManDVD \
	"%{buildroot}%{installdir}"

install -m 644 2mandvd_*.qm \
	"%{buildroot}%{installdir}"

install -m 755 fake.pl \
	"%{buildroot}%{installdir}"

install -D -m 644 %{SOURCE1} \
	"%{buildroot}%{_datadir}/applications/2ManDVD.desktop"
install -D -m 644 Interface/mandvd.png \
	"%{buildroot}%{_datadir}/pixmaps/2ManDVD.png"

ln -s -f ../../%{installdir}/2ManDVD %{buildroot}/%{_bindir}/2ManDVD

%suse_update_desktop_file -r 2ManDVD AudioVideo DiscBurning

%fdupes %{buildroot}%{installdir}
%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%{_bindir}/2ManDVD
%{_datadir}/applications/2ManDVD.desktop
%{_datadir}/pixmaps/2ManDVD.png
%dir %{installdir}
%{installdir}/2ManDVD
%{installdir}/fake.pl
%dir %{installdir}/Interface
%{installdir}/Interface/*
%dir %{installdir}/Bibliotheque
%{installdir}/Bibliotheque/*
%{installdir}/2mandvd*.qm

%changelog
* Fri Sep 30 2016 aloisio@gmx.com
- Forced gcc5 on TW
- Spec cleanup
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for some BuildRequires
* Fri Nov  1 2013 joerg.lorenzen@ki.tng.de
- new upstream version <1.8.5>
- patch to build against new ffmpeg
- add %%fdupes macro to spec file
* Thu Sep 20 2012 reddwarf@opensuse.org
- new upstream version <1.8.4>
- Change libxine1-codecs requirement for libxine2-codecs
* Mon May 28 2012 Manfred.Tremmel@iiv.de
- new upstream version <1.7.3>
- changes to make it compile against ffmpeg 0.11
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with newer QT versions (?) by explicitly including and
  linking against libGLU
* Fri Mar 30 2012 reddwarf@opensuse.org
- Require /usr/bin/mpeg2enc
* Sun Oct  9 2011 detlef@links2linux.de
- new upstream version <1.7.2>
* Fri Oct  7 2011 detlef@links2linux.de
- new upstream version <1.7.1>
* Thu Aug 25 2011 detlef@links2linux.de
- new upstream version <1.6.1>
* Fri Aug  5 2011 detlef@links2linux.de
- new upstream version <1.6.0>
* Fri Apr  8 2011 detlef@links2linux.de
- new upstream version <1.5.5>
* Fri Apr  1 2011 detlef@links2linux.de
- new upstream version <1.5.4>
* Fri Jan 14 2011 detlef@links2linux.de
- new upstream version <1.5.3>
* Thu Dec 23 2010 detlef@links2linux.de
- new upstream version <1.5.2>
* Mon Dec 13 2010 detlef@links2linux.de
- new upstream version <1.5.1>
* Sat Nov 13 2010 detlef@links2linux.de
- new upstream version <1.4.4>
* Sat Oct 30 2010 detlef@links2linux.de
- new upstream version <1.4.3>
* Sun Oct 17 2010 detlef@links2linux.de
- new upstream version <1.4.2>
* Sat Oct 16 2010 detlef@links2linux.de
- new upstream version <1.4.1>
* Wed Oct  6 2010 detlef@links2linux.de
- add "Requires: exif"
* Sat Oct  2 2010 detlef@links2linux.de
- new upstream version <1.4>
* Tue Jun 29 2010 detlef@links2linux.de
- new upstream version <1.3.5>
* Sat Jan 30 2010 detlef@links2linux.de
- add missing fake.pl
* Wed Nov 25 2009 detlef@links2linux.de
- new upstream version <1.2>
  * Several bugs fixed
  * Small addition on overlay editor
  * Updated translations
  * Updated online help (thank you AndrÃ©)
* Mon Nov  9 2009 detlef@links2linux.de
- new upstream version <1.1.1>
  * Several bugs fixed on the buttons
  * Added a function in the context menu to convert an object
  * Updated translations
  * Updated online help (thank you AndrÃ©)
* Sat Nov  7 2009 detlef@links2linux.de
- new upstream version <1.1>
  * A lot of bugs fixed
  * Fix definitively (well hope) problems related to video bitrate
  * Adding new functions in the management tree
  * Added support for animated gifs on the menu
  * Top animation library (you can offer me more)
  * Updated translations
  * Add a help (Thanks Andre)
* Wed Oct 21 2009 pascal.bleser@opensuse.org
- update to 1.0.2:
  * important changes in the generation of dvdauthor xml
  * fix a bug in the generation of complex dvd
  * fix a bug on the administration of playlists
  * fix a bug on the administration of soundtracks
  * added a function for editing menus in the management tree
  * small optimizations to the generation
  * fix a problem for NTSC
  * updated translations
* Sun Oct 11 2009 pascal.bleser@opensuse.org
- update to 1.0.1
* Sat Oct  3 2009 detlef@links2linux.de
- new upstream version <1.0>
* Sun Aug 30 2009 detlef@links2linux.de
- new upstream version <0.9.7>
* Tue Aug 18 2009 detlef@links2linux.de
- new upstream version <0.9.4>
* Tue Aug 11 2009 detlef@links2linux.de
- new upstream version <0.9.3>
* Fri Aug  7 2009 detlef@links2linux.de
- new upstream version <0.9.1>
* Wed Jul 22 2009 detlef@links2linux.de
- new upstream version 0.8.8
* Mon May  4 2009 toni@links2linux.de
- update to 0.8.5
- New transitions between menus
- Added crossfade (I know you been waiting impatiently) between menus
- Fix German translation
* Sun May  3 2009 toni@links2linux.de
- update to 0.8.4
- Now you can associate the extension of project 2ManDVD (. MDVD)
  2ManDVD has a double-click on a project from Nautilus or Konqueror,
  or else you open the project directly.
- Fix an error making the transitions between menu totally false
- New transitions between menus
- Updated translations
* Tue Apr 21 2009 toni@links2linux.de
- update to 0.7.8
- Adding the concept of transparency in the buttons
- Adding new manager completely masks the alpha channel
- Updated some translations
- DO NOT USE YOUR OLD PROJECTS
* Fri Apr 17 2009 toni@links2linux.de
- added new german lang files
* Mon Apr 13 2009 toni@links2linux.de
- update to 0.7.7
- added dejavu to Requires
- Fix bug buttons texts whose size changed between changes of menu and / or reopening of a project
- The themes are now (as many have desired) classified by themes
- Several small bugs fixed here and there
- Adding a log on the generation of ISO
- Adding the use of the delete key in the interface to remove a button
- Several small changes in the interface
* Sun Apr 12 2009 toni@links2linux.de
- update to 0.7.6
- moved installation from /opt to /usr/bin and /usr/share/2ManDVD to
  avoid rpmlint messages:
  2ManDVD: "/opt/2ManDVD/2ManDVD" is not allowed anymore in FHS 2.2
  suse-filelist-forbidden-opt /opt/2ManDVD is not allowed for official SUSE packages
* Tue Mar 17 2009 detlef@links2linux.de
- new upstream version <0.6.2>
* Tue Mar 10 2009 detlef@links2linux.de
- first build for packman
